using System.Collections.Generic;

namespace CheesyFX
{
    public class TouchTriggers
    {
        private static List<TouchTrigger> touchTriggers = new List<TouchTrigger>();

        private static JSONStorableStringChooser regionChooser =
            new JSONStorableStringChooser("regionChooser", BodyRegionMapping.touchZoneNames, "", "Region");

        public TouchTriggers()
        {
            var go = TouchMe.singleton.gameObject;
            // foreach (var touchZone in BodyRegionMapping.touchZones.Values.ToList())
            // {
            //     var trigger = go.AddComponent<TouchTrigger>();
            //     touchTriggers.Add(trigger);
            // }
        }
        
        public static List<object> CreateUI()
        {
            List<object> UIElements = new List<object>();
            regionChooser.CreateUI(UIElements:UIElements, chooserType:2);
            // UIElements.Add(TouchMe.singleton.CreateTextField(new JSONStorableString("", "WiP")));
            return UIElements;
        }

        public static void Destroy()
        {
            touchTriggers.ForEach(x => x.OnDestroy());
        }
    }
}